<?php
/**
 * @file
 * twitter_feed.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function twitter_feed_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'hashdrupal';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = '#drupal';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = '#drupal';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'node';
  $handler->display->display_options['row_options']['links'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['empty'] = TRUE;
  $handler->display->display_options['header']['area']['content'] = 'This view retrieves <a href="https://api.twitter.com/1.1/search/tweets.json?q=%23drupal">a JSON feed for the Twitter #drupal hashtag</a> via <a href="http://drupal.org/project/feeds">Feeds</a> with <a href="https://drupal.org/project/feeds_oauth">Feeds OAuth</a> for authentication and <a href="https://drupal.org/project/feeds_jsonpath_parser">Feeds JSONPath Parser</a> for parsing the results. It uses <a href="http://drupal.org/project/views_autorefresh">Views Auto-Refresh</a> to automatically refresh the view every 5 seconds (although the underlying cron job that gets feed updates only runs every minute). Tweets are rendered using <a href="http://drupal.org/project/oembed">OEmbed</a>.

When new items arrive, they are initially rendered with a special background color. This is achieved by adding the class <code>views-autorefresh-new</code> to each new row. The CSS handles the coloring of containers with this class. The refresh timer *removes* this class, bringing back the default background color.

In addition, <a href="sites/all/modules/demos_feeds/sounds/new_item.mp3">a sound is played</a> when new items arrive. This is achieved by custom JavaScript code binding to the <code>autorefresh.incremental</code> event, and playing a sound using <a href="http://www.schillmania.com/projects/soundmanager2/">SoundManager 2</a> when receiving that event.';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  /* Header: Global: Autorefresh */
  $handler->display->display_options['header']['autorefresh']['id'] = 'autorefresh';
  $handler->display->display_options['header']['autorefresh']['table'] = 'views';
  $handler->display->display_options['header']['autorefresh']['field'] = 'autorefresh';
  $handler->display->display_options['header']['autorefresh']['interval'] = '5000';
  $handler->display->display_options['header']['autorefresh']['incremental'] = TRUE;
  $handler->display->display_options['header']['autorefresh']['display'] = 'page_1';
  $handler->display->display_options['header']['autorefresh']['ping'] = TRUE;
  $handler->display->display_options['header']['autorefresh']['ping_base_path'] = 'ping.php';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'video' => 'video',
  );
  /* Filter criterion: Feeds item: Owner feed nid */
  $handler->display->display_options['filters']['feed_nid']['id'] = 'feed_nid';
  $handler->display->display_options['filters']['feed_nid']['table'] = 'feeds_item';
  $handler->display->display_options['filters']['feed_nid']['field'] = 'feed_nid';
  $handler->display->display_options['filters']['feed_nid']['value']['value'] = '24080';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'twitter';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = '#drupal';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Incremental Page */
  $handler = $view->new_display('page', 'Incremental Page', 'page_1');
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Post date (with operator) */
  $handler->display->display_options['arguments']['created_operator']['id'] = 'created_operator';
  $handler->display->display_options['arguments']['created_operator']['table'] = 'node';
  $handler->display->display_options['arguments']['created_operator']['field'] = 'created_operator';
  $handler->display->display_options['arguments']['created_operator']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['created_operator']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['created_operator']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['created_operator']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['created_operator']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['path'] = 'twitter/autorefresh/%';
  $export['hashdrupal'] = $view;

  return $export;
}
